<?php
global $dttheme_social_bookmarks; // Used in Blog single & page tab in BPanel
$dttheme_social_bookmarks = array(array(
							"id"=>		"googleplus",
							"label"=>	esc_html__("Show Google+ One",'citrus'),
							"options"=>	array(
								"standard"=>esc_html__("Standard",'citrus'),
								"small"=>esc_html__("Small",'citrus'),
								"medium"=>esc_html__("Medium",'citrus'),
								"tall"=>esc_html__("Tall",'citrus')),
							"lang"=>array(
								"ar" => esc_html__( "Arabic", 'citrus' ),
								"bn" => esc_html__( "Bengali", 'citrus' ),
								"bg" => esc_html__( "Bulgarian", 'citrus' ),
								"ca" => esc_html__( "Catalan", 'citrus' ),
								"zh" => esc_html__( "Chinese", 'citrus' ),
								"zh_CN" => esc_html__( "Chinese (China)", 'citrus' ),
								"zh_HK" => esc_html__( "Chinese (Hong Kong)", 'citrus' ),
								"zh_TW" => esc_html__( "Chinese (Taiwan)", 'citrus' ),
								"hr" => esc_html__( "Croation", 'citrus' ),
								"cs" => esc_html__( "Czech", 'citrus' ),
								"da" => esc_html__( "Danish", 'citrus' ),
								"nl" => esc_html__( "Dutch", 'citrus' ),
								"en_IN" => esc_html__( "English (India)", 'citrus' ),
								"en_IE" => esc_html__( "English (Ireland)", 'citrus' ),
								"en_SG" => esc_html__( "English (Singapore)", 'citrus' ),
								"en_ZA" => esc_html__( "English (South Africa)", 'citrus' ),
								"en_GB" => esc_html__( "English (United Kingdom)", 'citrus' ),
								"fil" => esc_html__( "Filipino", 'citrus' ),
								"fi" => esc_html__( "Finnish", 'citrus' ),
								"fr" => esc_html__( "French", 'citrus' ),
								"de" => esc_html__( "German", 'citrus' ),
								"de_CH" => esc_html__( "German (Switzerland)", 'citrus' ),
								"el" => esc_html__( "Greek", 'citrus' ),
								"gu" => esc_html__( "Gujarati", 'citrus' ),
								"iw" => esc_html__( "Hebrew", 'citrus' ),
								"hi" => esc_html__( "Hindi", 'citrus' ),
								"hu" => esc_html__( "Hungarian", 'citrus' ),
								"in" => esc_html__( "Indonesian", 'citrus' ),
								"it" => esc_html__( "Italian", 'citrus' ),
								"ja" => esc_html__( "Japanese", 'citrus' ),
								"kn" => esc_html__( "Kannada", 'citrus' ),
								"ko" => esc_html__( "Korean", 'citrus' ),
								"lv" => esc_html__( "Latvian", 'citrus' ),
								"ln" => esc_html__( "Lingala", 'citrus' ),
								"lt" => esc_html__( "Lithuanian", 'citrus' ),
								"ms" => esc_html__( "Malay", 'citrus' ),
								"ml" => esc_html__( "Malayalam", 'citrus' ),
								"mr" => esc_html__( "Marathi", 'citrus' ),
								"no" => esc_html__( "Norwegian", 'citrus' ),
								"or" => esc_html__( "Oriya", 'citrus' ),
								"fa" => esc_html__( "Persian", 'citrus' ),
								"pl" => esc_html__( "Polish", 'citrus' ),
								"pt_BR" => esc_html__( "Portugese (Brazil)", 'citrus' ),
								"pt_PT" => esc_html__( "Portugese (Portugal)", 'citrus' ),
								"ro" => esc_html__( "Romanian", 'citrus' ),
								"ru" => esc_html__( "Russian", 'citrus' ),
								"sr" => esc_html__( "Serbian", 'citrus' ),
								"sk" => esc_html__( "Slovak", 'citrus' ),
								"sl" => esc_html__( "Slovenian", 'citrus' ),
								"es" => esc_html__( "Spanish", 'citrus' ),
								"sv" => esc_html__( "Swedish", 'citrus' ),
								"gsw" => esc_html__( "Swiss German", 'citrus' ),
								"ta" => esc_html__( "Tamil", 'citrus' ),
								"te" => esc_html__( "Telugu", 'citrus' ),
								"th" => esc_html__( "Thai", 'citrus' ),
								"tr" => esc_html__( "Turkish", 'citrus' ),
								"uk" => esc_html__( "Ukranian", 'citrus' ),
								"vi" => esc_html__( "Vietnamese", 'citrus' ))
						),array(
							"id"=>		"fb_like",
							"label"=>	esc_html__("Show Facebook like",'citrus'),
							"options"=>	array(
								"standard"=>esc_html__("Standard",'citrus'),
								"box_count" =>esc_html__("Box Count",'citrus'),
								"button_count" =>esc_html__("Button Count",'citrus')),
							"color-scheme"=>array("dark","light")
						),array(
							"id"=>		"digg",
							"label"=>	esc_html__("Show Digg",'citrus'),
							"options"=>	array(
									"DiggWide"=>esc_html__("Wide",'citrus'),
									"DiggMedium"=>esc_html__("Medium",'citrus'),
									"DiggCompact"=>esc_html__("Compact",'citrus'),
									"DiggIcon"=>esc_html__("Icon",'citrus'))
						),array(
							"id"=>		"stumbleupon",
							"label"=>	esc_html__("Show Stumbleupon",'citrus'),
							"options"=>	array(
										"1"=>esc_html__("style1",'citrus'),
										"2"=>esc_html__("style2",'citrus'),
										"3"=>esc_html__("style3",'citrus'),
										"4"=>esc_html__("style4",'citrus'),
										"5"=>esc_html__("style5",'citrus'),
										"6"=>esc_html__("style6",'citrus'))
						),array("id"=>		"linkedin",
							"label"=>	esc_html__("Show LinkedIn",'citrus'),
							"options"=>	array("1"=>"style1","2"=>"style2","3"=>"style3")
						),array(
							"id"=>		"pintrest",
							"label"=>	esc_html__("Show Pintrest",'citrus'),
							"options"=>	array("none" =>esc_html__("None",'citrus'),"vertical" =>esc_html__("Vertical",'citrus'),"horizontal"=>esc_html__("Horizontal",'citrus'))
						),array(
							"id"=>		"delicious",
							"label"=>	esc_html__("Show Delicious",'citrus'),
							"text"=>""
						),array(
							"id"=>		"twitter",
							"label"=>	esc_html__("Show Twitter",'citrus'),
							"options"=>	array(
								"none" => esc_html__("None",'citrus'),
								"vertical" => esc_html__("Vertical",'citrus')
								,"horizontal"=>esc_html__("Horizontal",'citrus')),
							"username"=>'',
							"lang"=>	array(
							    ""	 => esc_html__("Select",'citrus'),
								"fr" => esc_html__( "French",'citrus' ),
								"de" => esc_html__( "German",'citrus' ),
								"it" => esc_html__( "Italian",'citrus' ),
								"ja" => esc_html__( "Japanese",'citrus' ),
								"ko" => esc_html__( "Korean",'citrus' ),
								"ru" => esc_html__( "Russian",'citrus' ),
								"es" => esc_html__( "Spanish",'citrus' ),
								"tr" => esc_html__( "Turkish",'citrus' ))
						)); ?>