<!--import -->
<div id="importer" class="bpanel-content">

    <!-- .bpanel-main-content -->
    <div class="bpanel-main-content">
        <ul class="sub-panel"> 
            <li><a href="#tab1"><?php esc_html_e('Import Demo', 'citrus'); ?></a></li>
        </ul>
        
        <!--tab1-import-demo -->
        <div id="tab1" class="tab-content">
            <!-- .bpanel-box -->
            <div class="bpanel-box">
                <div class="box-title">
                    <h3><?php esc_html_e('Import Demo', 'citrus'); ?></h3>
                </div>
                
                <div class="box-content dttheme-import">
					<p class="note"><?php esc_html_e('Before starting the import, you need to install all plugins that you want to use. If you are planning to use the shop, please install WooCommerce plugin.', 'citrus'); ?></p>
                    <div class="hr_invisible"> </div>
                    <div class="column one-third"><label><?php esc_html_e('Import', 'citrus'); ?></label></div>
                    <div class="column two-third last">
                        <select name="import" class="import medium dt-chosen-select">
                            <option value="">-- <?php esc_html_e('Select', 'citrus'); ?> --</option>
                            <option value="all"><?php esc_html_e('All', 'citrus'); ?></option>
                            <option value="content"><?php esc_html_e('Content', 'citrus'); ?></option>
                            <option value="menu"><?php esc_html_e('Menu', 'citrus'); ?></option>
                            <option value="options"><?php esc_html_e('Options', 'citrus'); ?></option>
                            <option value="widgets"><?php esc_html_e('Widgets', 'citrus'); ?></option>
                        </select>
                    </div>
                    <div class="hr_invisible"> </div>

					<div class="row-content hide">
						<div class="column one-third">
							<label for="content">Content</label>
						</div>
						<div class="column two-third last">
							<select name="content" class="medium dt-chosen-select">
								<option value="">-- <?php esc_html_e('All', 'citrus'); ?> --</option>
								<option value="pages"><?php esc_html_e('Pages', 'citrus'); ?></option>
								<option value="posts"><?php esc_html_e('Posts', 'citrus'); ?></option>
                                <option value="portfolios"><?php esc_html_e('Portfolio', 'citrus'); ?></option>
								<option value="contactforms"><?php esc_html_e('Contact Forms', 'citrus'); ?></option>
                                <option value="media"><?php esc_html_e('Media', 'citrus'); ?></option>
							</select>
						</div>
		                <div class="hr_invisible"> </div>
					</div>

					<div class="row-attachments hide">
						<div class="column one-third"><?php esc_html_e('Attachments', 'citrus'); ?></div>
						<div class="column two-third last">
							<fieldset>
								<label for="attachments"><input type="checkbox" value="0" id="attachments" name="attachments"><?php esc_html_e('Import attachments', 'citrus'); ?></label>
								<p class="description"><?php esc_html_e('Download all attachments from the demo may take a while. Please be patient.', 'citrus'); ?></p>
							</fieldset>
						</div>
						<div class="hr_invisible"> </div>
					</div>
                    <div class="column one-column">
						<div class="hr_invisible"> </div>
						<div class="column one-third">&nbsp;</div>
						<div class="column two-third last">
		                    <a href="#" class="dttheme-import-button bpanel-button black-btn" title="<?php esc_html_e('Import demo data', 'citrus'); ?>" data-import-nonce="<?php echo wp_create_nonce('import_nonce'); ?>"><?php esc_html_e('Import demo data', 'citrus'); ?></a>
                        </div>
                    </div>
                    <div class="hr"></div>
                </div><!-- .box-content -->
            </div><!-- .bpanel-box end -->            
        </div><!--tab1-import-demo end-->

    </div><!-- .bpanel-main-content end-->
</div><!--import end-->