<div class="commententries">

	<?php if ( post_password_required() ) : ?>
        <p class="nopassword"><?php esc_html_e( 'This post is password protected. Enter the password to view any comments.','citrus'); ?></p>
    <?php  return;
        endif;?>
        
    <h4><?php comments_number(esc_html__('No Comments','citrus'), esc_html__('Comment ( 1 )','citrus'), esc_html__('Comments ( % )','citrus') ); ?></h4>    
    
    <?php if ( have_comments() ) : ?>
        <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
                    <div class="navigation">
                        <div class="nav-previous"><?php previous_comments_link( esc_html__( 'Older Comments','citrus'  ) ); ?></div>
                        <div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments','citrus') ); ?></div>
                    </div> <!-- .navigation -->
        <?php endif; // check for comment navigation ?>
        <ul class="commentlist">
            <?php wp_list_comments( array( 'callback' => 'dttheme_custom_comments' ) ); ?>
        </ul>
    <?php else: ?>
        <?php if ( ! comments_open() ) : ?>
            <p class="nocomments"><?php esc_html_e( 'Comments are closed.','citrus'); ?></p>
        <?php endif;?>    
    <?php endif; ?>

    <?php
	$fields =  array(
		"author" => '<div class="dt-sc-one-half column"><input type="text" required="" placeholder="'.esc_attr__('Name (required)','citrus').'" name="author" id="author">',
        "email"  => '<input type="text" required="" placeholder="'.esc_attr__('Email ID(required)','citrus').'" name="email" id="email">',
        "url"   => '<input type="text" required="" placeholder="'.esc_attr__('Website (required)','citrus').'" name="website" id="website"></div>'
    );
    
    if(is_user_logged_in()) {
		$comment = '<div class="dt-sc-one-column first"><textarea required placeholder="'.esc_attr__('Message (required)','citrus').'" rows="3" cols="5" name="comment" id="comment"></textarea></div>';
	} else {
		$comment = '<div class="dt-sc-one-half column first"><textarea required placeholder="'.esc_attr__('Message (required)','citrus').'" rows="3" cols="5" name="comment" id="comment"></textarea></div>';
    }
	
	
	$privacy_cmdfrm = dttheme_option('privacy','enable-commentfrm-msg');
	if( isset( $privacy_cmdfrm ) ) {
	
		$content = do_shortcode( dttheme_option('privacy', 'commentfrm-msg') );
	
		$fields['comment-form-dt-privatepolicy'] = '<p class="comment-form-dt-privatepolicy">
			<input id="comment-form-dt-privatepolicy" name="comment-form-dt-privatepolicy" type="checkbox" value="yes">
			<label for="comment-form-dt-privatepolicy">'.$content.'</label> </p>';
	}
	
	$comments_args = array(
		'title_reply' 			=> 	esc_html__( 'Give a Reply','citrus' ),
		'fields'				=> 	$fields,
		'comment_field'			=> 	$comment,
		'comment_notes_before'	=>	'',
		'comment_notes_after'	=>	'',
		'label_submit'			=>	esc_html__('Comment','citrus'));
	comment_form($comments_args);
	
    ?>    
</div>